PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0 »
- smooth

# smooth

pydl.smooth(signal, owidth, edge_truncate=False)

  Replicates the IDL `SMOOTH()` function.

  Parameters:
    signal array-like

      The array to be smoothed.

    owidth `int` or array-like

      Width of the smoothing window. Can be a scalar or an array with length equal to the number of dimensions of `signal`.

    edge_truncate `bool`, optional

      Set `edge_truncate` to `True` to apply smoothing to all points. Points near the edge are normally excluded from smoothing.

  Returns:
    array-like

      A smoothed array with the same dimesions and type as `signal`.

  References

  https://www.nv5geospatialsoftware.com/docs/smooth.html